[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Install/Config help needed...

From: Paul Ravish <pravish_at_appleaid.com>
Date: 2005-11-22 21:55:20 CET

Hi all,

I'm having problems getting the subclipse plugin working with
eclipse. Here is the version info that I have.

Eclipse 3.1.1
CDT 3.0.1
Subclipse 0.9.37
Subversion 1.2.3

I'm running on a Debian system and I have installed the libsvn_javahl
package.

I exported the directories /usr/lib/jni/ and /usr/share/java to
LD_LIBRARY_PATH.

When I run Eclipse and try to click on the SVN disclosure triangle
under the TEAM disclosure triangle from the Window->Preferences menu
I get the following error:

no libsvnjavahl-1 in java.library.path
/usr/lib/jni/libsvnjavahl-1.so.0.0.0:libstdc++.so.6:cannot opn shared
object file:No such file or directory
no svnjavahl in java.library.path

java.library.path = /usr/local/lib/jdk1.5.0_02/jre/lib/i386/client:/
usr/local/lib/jdk1.5.0_02/jre/lib/i386:/usr/local/lib/jdk1.5.0_02/
jrc/../lib/i386:/usr/lib/jni:/usr/share/java:.

So what am I missing here? Does there need to be libstdc++.so.6? And
if so, shouldn't that be part of the libsvn_javahl package that I
downloaded and installed from the Debian site? I've found the
svnjavahl.jar file in /usr/lib/eclipse/plugins/
org.tigris.subversion.subclipse.core_0.9.37/lib. But I did not find
svnjavahl-1 anywhere.

Any advice/instructions on how to get things working here would be
greatly appreciated.

Thank you,

     --Paul Ravish
Received on Wed Nov 23 07:55:20 2005

This is an archived mail posted to the Subclipse Users mailing list.